org.apache.synapse.commons.vfs

## Enum VFSConstants.SFTP_FILE_OPTION

- java.lang.Object
- - java.lang.Enum<VFSConstants.SFTP_FILE_OPTION>
  - - org.apache.synapse.commons.vfs.VFSConstants.SFTP_FILE_OPTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VFSConstants.SFTP_FILE_OPTION>
  Enclosing class:
    VFSConstants

      public static enum VFSConstants.SFTP_FILE_OPTION
      extends java.lang.Enum<VFSConstants.SFTP_FILE_OPTION>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Identities`
    `IdentityPassPhrase`
    `UserDirIsRoot`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VFSConstants.SFTP_FILE_OPTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VFSConstants.SFTP_FILE_OPTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Identities

          public static final VFSConstants.SFTP_FILE_OPTION Identities

    - #### UserDirIsRoot

          public static final VFSConstants.SFTP_FILE_OPTION UserDirIsRoot

    - #### IdentityPassPhrase

          public static final VFSConstants.SFTP_FILE_OPTION IdentityPassPhrase

  - ### Method Detail

    - #### values

          public static VFSConstants.SFTP_FILE_OPTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VFSConstants.SFTP_FILE_OPTION c : VFSConstants.SFTP_FILE_OPTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VFSConstants.SFTP_FILE_OPTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.